package com.project.ilsaenterprise.models;

public class MonitoringModel {
    private String fullName, district, farm, afdeling, deskripsi, jabatan, uploadDate, uploadTime, jenisLaporan, tipeLaporan, blok, timestamp, imageUrl, dilihat, uid, latitude, longitude;

    public MonitoringModel() {
    }

    public MonitoringModel(String fullName, String district, String farm, String afdeling, String deskripsi, String jabatan, String uploadDate, String uploadTime, String jenisLaporan, String tipeLaporan, String blok, String timestamp, String imageUrl, String dilihat, String uid, String latitude, String longitude) {
        this.fullName = fullName;
        this.district = district;
        this.farm = farm;
        this.afdeling = afdeling;
        this.deskripsi = deskripsi;
        this.jabatan = jabatan;
        this.uploadDate = uploadDate;
        this.uploadTime = uploadTime;
        this.jenisLaporan = jenisLaporan;
        this.tipeLaporan = tipeLaporan;
        this.blok = blok;
        this.timestamp = timestamp;
        this.imageUrl = imageUrl;
        this.dilihat = dilihat;
        this.uid = uid;
        this.latitude = latitude;
        this.longitude = longitude;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getFarm() {
        return farm;
    }

    public void setFarm(String farm) {
        this.farm = farm;
    }

    public String getAfdeling() {
        return afdeling;
    }

    public void setAfdeling(String afdeling) {
        this.afdeling = afdeling;
    }

    public String getDeskripsi() {
        return deskripsi;
    }

    public void setDeskripsi(String deskripsi) {
        this.deskripsi = deskripsi;
    }

    public String getJabatan() {
        return jabatan;
    }

    public void setJabatan(String jabatan) {
        this.jabatan = jabatan;
    }

    public String getUploadDate() {
        return uploadDate;
    }

    public void setUploadDate(String uploadDate) {
        this.uploadDate = uploadDate;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }

    public String getJenisLaporan() {
        return jenisLaporan;
    }

    public void setJenisLaporan(String jenisLaporan) {
        this.jenisLaporan = jenisLaporan;
    }

    public String getTipeLaporan() {
        return tipeLaporan;
    }

    public void setTipeLaporan(String tipeLaporan) {
        this.tipeLaporan = tipeLaporan;
    }

    public String getBlok() {
        return blok;
    }

    public void setBlok(String blok) {
        this.blok = blok;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getDilihat() {
        return dilihat;
    }

    public void setDilihat(String dilihat) {
        this.dilihat = dilihat;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }
}
